Bug 242556 - SELinux blocking genhomedircon
SELinux blocking genhomedircon
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2007-06-04 15:57 EDT by Knut-Håvard Aksnes
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-06-04 16:02:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Knut-Håvard Aksnes 2007-06-04 15:57:15 EDT
Description of problem:

The complete message from setroubleshoot follows:

    SELinux is preventing genhomedircon (semanage_t) "write" to site-packages

Detailed Description
    SELinux denied access requested by genhomedircon. It is not expected that
    this access is required by genhomedircon and this access may signal an
    intrusion attempt. It is also possible that the specific version or
    configuration of the application is causing it to require additional access.

Allowing Access
    Sometimes labeling problems can cause SELinux denials.  You could try to
    restore the default system file context for site-packages, restorecon -v
    site-packages If this does not work, there is currently no automatic way to
    allow this access. Instead,  you can generate a local policy module to allow
    this access - see http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385
    Or you can disable SELinux protection altogether. Disabling SELinux
    protection is not recommended. Please file a
    http://bugzilla.redhat.com/bugzilla/enter_bug.cgi against this package.

Additional Information        

Source Context                system_u:system_r:semanage_t
Target Context                system_u:object_r:lib_t
Target Objects                site-packages [ dir ]
Affected RPM Packages         
Policy RPM                    selinux-policy-2.6.4-8.fc7
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   plugins.catchall_file
Host Name                     localhost.localdomain
Platform                      Linux localhost.localdomain 2.6.21-1.3194.fc7 #1
                              SMP Wed May 23 22:35:01 EDT 2007 i686 i686
Alert Count                   4
First Seen                    Mon 04 Jun 2007 12:46:35 AM CEST
Last Seen                     Mon 04 Jun 2007 01:05:18 AM CEST
Local ID                      0f27fab2-30de-47b2-9c70-30d6e22c4a3a
Line Numbers                  

Raw Audit Messages            

avc: denied { write } for comm="genhomedircon" dev=dm-0 egid=0 euid=0
exe="/usr/bin/python" exit=-13 fsgid=0 fsuid=0 gid=0 items=0 name="site-
packages" pid=7510 scontext=system_u:system_r:semanage_t:s0 sgid=0
subj=system_u:system_r:semanage_t:s0 suid=0 tclass=dir
tcontext=system_u:object_r:lib_t:s0 tty=(none) uid=0

Version-Release number of selected component (if applicable):


How reproducible:

Don't know, the bug selinux bug report pops up after logging in everytime for
me. I only use the fedora and livna repositoies at the time being. (Livna for
Nvidia and audio/video)
Comment 1 Daniel Walsh 2007-06-04 16:01:46 EDT
This is strange.   genhomedircon should not be trying to write to a lib_t
directory.  This looks like some python object is not precreated and semanage is
trying to create it.  You can tell sealert to ignore the avc message.  Just
click the filter.

Note You need to log in before you can comment on or make changes to this bug.